/* Zaklady programovani v C++
   Okomentovane priklady ze cviceni ... prace se soubory
*/

#include<iostream>
#include<iomanip>
#include<fstream>
#include<string>
using namespace std;

void zapisDoSouboru()
{
	ofstream soubor;
	soubor.open("text.txt");

	// fstream soubor;
	// soubor.open("text.txt", ios::out);
	
	//if (soubor)
	if(soubor.is_open())
	{
		soubor << "Ahoj!\n" << endl;
		soubor.close();
	}
	else
		cout << "soubor se nepodarilo otevrit" << endl;
}

void zapisDoSouboru(string t)
{
	ofstream soubor;
	soubor.open(t);
	//if (soubor)
	if (soubor.is_open())
	{
		soubor << "Vypisuji cisla: " << endl;
		for (int i = 1; i <= 10; i++)
			soubor << i << " ";
		soubor.close();
	}
	else
		cout << "soubor se nepodarilo otevrit" << endl;
}

void nactiZeSouboru()
{
	ifstream soubor;
	soubor.open("text.txt"); // , ios::in);
	//if (soubor)
	if (soubor.is_open())
	{
		int x;
		if(!(soubor >> x))
			soubor.clear();
		soubor >> x;
		if(!soubor)
			soubor.clear();
		string s;
		soubor >> s;
		cout << s;
		soubor.close();
	}
	else
		cout << "soubor se nepodarilo otevrit" << endl;
}

void nactiZeSouboru(string t)
{
	ifstream soubor;
	soubor.open(t); // , ios::in);
	if (soubor)
	//if (soubor.is_open())
	{
		string s;
		//soubor >> s;
		while (getline(soubor, s))
			cout << s << endl;
		soubor.close();
	}
	else
		cout << "soubor se nepodarilo otevrit" << endl;

}

void zapis(ostream &s, int x)
{
	s << x << endl;
	const double pi = 3.1415;
	s << pi << endl;
	s << right << setw(10) << setfill('_') << setprecision(3) << pi << endl;
	s << left << setw(10) << setfill('_') << setprecision(3) << pi << endl;
}

void zapisRuzne(string t)
{
	zapis(cout, 7);
	ofstream soubor;
	soubor.open(t);
	if (soubor)
	//if (soubor.is_open())
	{
		zapis(soubor, 6);
		soubor.close();
	}
	else
		cout << "soubor se nepodarilo otevrit" << endl;
}

int main()
{
	zapisDoSouboru();
	zapisDoSouboru("text1.txt");
	//zapisDoSouboru("M:\\tmp\\text1.txt");
	nactiZeSouboru();
	nactiZeSouboru("text1.txt");
	zapisRuzne("text2.txt");
	return 0;
}

